tol = 0.00001;
p = rand(1, 2)
v = rand(1,2) - 0.5
l = 5 * rand(1);
l = 10^(-l)

t1 = GradBiDotGradBj(p, l, p + v, l)
t2 = GradBiDotGradBj(p, l, p - v, l)
assert(norm(t1 - t2) < tol, 'Pas d invariance par symetrie centrale !');

t1 = GradBiDotGradBj(p, l, p + v, l)
t2 = GradBiDotGradBj(p + v, l, p, l)
assert(norm(t1 - t2) < tol, 'Pas de symetrie du produit scalaire !');

t1 = GradBiDotGradBj(p, 1, p, 1)
t2 = GradBiDotGradBj(p, l, p, l)
assert(norm(t1 - t2) < tol, 'Pas d invariance par changement d echelle !');

t1 = GradBiDotGradBj(p, 1, p + v, 1)
t2 = GradBiDotGradBj(p, l, p + l.*v, l)
assert(norm(t1 - t2) < tol, 'Pas d invariance par changement d echelle !');